python-powerline_2.6-1_all.deb


Advertisement

Description

python-powerline - powerline python2 library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-powerline_2.6-1_all.deb
Package name python-powerline
Package version 2.6
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/Lokaltog/powerline
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 121.02 KB
Installed size 626.00 KB
This package contains the python2 library of Powerline, a prompt and
statusline utility. It provides the main Powerline class, entrance point
for all Powerline uses.

Alternatives

Package Version Architecture Repository
python-powerline_2.6-1_all.deb 2.6 all Ubuntu Universe
python-powerline - - -

Requires

Name Value
python-psutil -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-powerline_2.6-1_all.deb
Source Package powerline

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-powerline deb package:
    # sudo apt-get install python-powerline

Files

Path
/usr/lib/python2.7/dist-packages/powerline/__init__.py
/usr/lib/python2.7/dist-packages/powerline/colorscheme.py
/usr/lib/python2.7/dist-packages/powerline/config.py
/usr/lib/python2.7/dist-packages/powerline/ipython.py
/usr/lib/python2.7/dist-packages/powerline/lemonbar.py
/usr/lib/python2.7/dist-packages/powerline/pdb.py
/usr/lib/python2.7/dist-packages/powerline/renderer.py
/usr/lib/python2.7/dist-packages/powerline/segment.py
/usr/lib/python2.7/dist-packages/powerline/shell.py
/usr/lib/python2.7/dist-packages/powerline/theme.py
/usr/lib/python2.7/dist-packages/powerline/vim.py
/usr/lib/python2.7/dist-packages/powerline/bindings/__init__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/config.py
/usr/lib/python2.7/dist-packages/powerline/bindings/ipython/__init__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/ipython/post_0_11.py
/usr/lib/python2.7/dist-packages/powerline/bindings/ipython/pre_0_11.py
/usr/lib/python2.7/dist-packages/powerline/bindings/ipython/since_5.py
/usr/lib/python2.7/dist-packages/powerline/bindings/pdb/__init__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/pdb/__main__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/tmux/__init__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/vim/__init__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/wm/__init__.py
/usr/lib/python2.7/dist-packages/powerline/bindings/wm/awesome.py
/usr/lib/python2.7/dist-packages/powerline/bindings/zsh/__init__.py
/usr/lib/python2.7/dist-packages/powerline/commands/__init__.py
/usr/lib/python2.7/dist-packages/powerline/commands/config.py
/usr/lib/python2.7/dist-packages/powerline/commands/daemon.py
/usr/lib/python2.7/dist-packages/powerline/commands/lemonbar.py
/usr/lib/python2.7/dist-packages/powerline/commands/lint.py
/usr/lib/python2.7/dist-packages/powerline/commands/main.py
/usr/lib/python2.7/dist-packages/powerline/dist/systemd/powerline-daemon.service
/usr/lib/python2.7/dist-packages/powerline/lib/__init__.py
/usr/lib/python2.7/dist-packages/powerline/lib/config.py
/usr/lib/python2.7/dist-packages/powerline/lib/debug.py
/usr/lib/python2.7/dist-packages/powerline/lib/dict.py
/usr/lib/python2.7/dist-packages/powerline/lib/encoding.py
/usr/lib/python2.7/dist-packages/powerline/lib/humanize_bytes.py
/usr/lib/python2.7/dist-packages/powerline/lib/inotify.py
/usr/lib/python2.7/dist-packages/powerline/lib/memoize.py
/usr/lib/python2.7/dist-packages/powerline/lib/monotonic.py
/usr/lib/python2.7/dist-packages/powerline/lib/overrides.py
/usr/lib/python2.7/dist-packages/powerline/lib/path.py
/usr/lib/python2.7/dist-packages/powerline/lib/shell.py
/usr/lib/python2.7/dist-packages/powerline/lib/threaded.py
/usr/lib/python2.7/dist-packages/powerline/lib/unicode.py
/usr/lib/python2.7/dist-packages/powerline/lib/url.py
/usr/lib/python2.7/dist-packages/powerline/lib/vcs/__init__.py
/usr/lib/python2.7/dist-packages/powerline/lib/vcs/bzr.py
/usr/lib/python2.7/dist-packages/powerline/lib/vcs/git.py
/usr/lib/python2.7/dist-packages/powerline/lib/vcs/mercurial.py
/usr/lib/python2.7/dist-packages/powerline/lib/watcher/__init__.py
/usr/lib/python2.7/dist-packages/powerline/lib/watcher/inotify.py
/usr/lib/python2.7/dist-packages/powerline/lib/watcher/stat.py
/usr/lib/python2.7/dist-packages/powerline/lib/watcher/tree.py
/usr/lib/python2.7/dist-packages/powerline/lib/watcher/uv.py
/usr/lib/python2.7/dist-packages/powerline/lint/__init__.py
/usr/lib/python2.7/dist-packages/powerline/lint/checks.py
/usr/lib/python2.7/dist-packages/powerline/lint/context.py
/usr/lib/python2.7/dist-packages/powerline/lint/imp.py
/usr/lib/python2.7/dist-packages/powerline/lint/inspect.py
/usr/lib/python2.7/dist-packages/powerline/lint/selfcheck.py
/usr/lib/python2.7/dist-packages/powerline/lint/spec.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/__init__.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/composer.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/constructor.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/error.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/events.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/loader.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/markedvalue.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/nodes.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/parser.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/reader.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/resolver.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/scanner.py
/usr/lib/python2.7/dist-packages/powerline/lint/markedjson/tokens.py
/usr/lib/python2.7/dist-packages/powerline/listers/__init__.py
/usr/lib/python2.7/dist-packages/powerline/listers/i3wm.py
/usr/lib/python2.7/dist-packages/powerline/listers/pdb.py
/usr/lib/python2.7/dist-packages/powerline/listers/vim.py
/usr/lib/python2.7/dist-packages/powerline/matchers/__init__.py
/usr/lib/python2.7/dist-packages/powerline/matchers/vim/__init__.py
/usr/lib/python2.7/dist-packages/powerline/matchers/vim/plugin/__init__.py
/usr/lib/python2.7/dist-packages/powerline/matchers/vim/plugin/commandt.py
/usr/lib/python2.7/dist-packages/powerline/matchers/vim/plugin/gundo.py
/usr/lib/python2.7/dist-packages/powerline/matchers/vim/plugin/nerdtree.py
/usr/lib/python2.7/dist-packages/powerline/renderers/__init__.py
/usr/lib/python2.7/dist-packages/powerline/renderers/i3bar.py
/usr/lib/python2.7/dist-packages/powerline/renderers/lemonbar.py
/usr/lib/python2.7/dist-packages/powerline/renderers/pango_markup.py
/usr/lib/python2.7/dist-packages/powerline/renderers/pdb.py
/usr/lib/python2.7/dist-packages/powerline/renderers/tmux.py
/usr/lib/python2.7/dist-packages/powerline/renderers/vim.py
/usr/lib/python2.7/dist-packages/powerline/renderers/ipython/__init__.py
/usr/lib/python2.7/dist-packages/powerline/renderers/ipython/pre_5.py
/usr/lib/python2.7/dist-packages/powerline/renderers/ipython/since_5.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/__init__.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/bash.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/ksh.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/rcsh.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/readline.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/tcsh.py
/usr/lib/python2.7/dist-packages/powerline/renderers/shell/zsh.py
/usr/lib/python2.7/dist-packages/powerline/segments/__init__.py
/usr/lib/python2.7/dist-packages/powerline/segments/i3wm.py
/usr/lib/python2.7/dist-packages/powerline/segments/ipython.py
/usr/lib/python2.7/dist-packages/powerline/segments/pdb.py
/usr/lib/python2.7/dist-packages/powerline/segments/shell.py
/usr/lib/python2.7/dist-packages/powerline/segments/tmux.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/__init__.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/bat.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/env.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/mail.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/net.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/players.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/sys.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/time.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/vcs.py
/usr/lib/python2.7/dist-packages/powerline/segments/common/wthr.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/__init__.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/plugin/__init__.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/plugin/capslock.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/plugin/commandt.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/plugin/nerdtree.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/plugin/syntastic.py
/usr/lib/python2.7/dist-packages/powerline/segments/vim/plugin/tagbar.py
/usr/lib/python2.7/dist-packages/powerline/selectors/__init__.py
/usr/lib/python2.7/dist-packages/powerline/selectors/vim.py
/usr/lib/python2.7/dist-packages/powerline_status-2.6.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/powerline_status-2.6.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/powerline_status-2.6.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/powerline_status-2.6.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/powerline_status-2.6.egg-info/top_level.txt
/usr/share/doc/python-powerline/changelog.Debian.gz
/usr/share/doc/python-powerline/copyright

Changelog

2017-08-23 - Jerome Charaoui <jerome@riseup.net>
powerline (2.6-1) unstable; urgency=medium
* New upstream version 2.6
* Ship upstream changelog from GitHub release logs
* Bump Standards-Version to 4.0.1
2017-01-24 - Iain R. Learmonth <irl@debian.org>
powerline (2.5-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Changes dependency for powerline to python-powerline by default, as this is
used by the installed binaries and is required.
* Move python3-powerline to Recommends so as to allow for vim users to have
this also installed by default, without requiring its installation on
systems that do not want a Python 3 installation. (Closes: #839599)
2016-09-10 - Jerome Charaoui <jerome@riseup.net>
powerline (2.5-1) unstable; urgency=medium
* Imported Upstream version 2.5
* Add mention in README to use python3 where necessary
* Depend on python3 library by default
2016-04-27 - Jerome Charaoui <jerome@riseup.net>
powerline (2.4-1) unstable; urgency=medium
* Imported Upstream version 2.4
* Move fontconfig file to /etc/fonts/conf.avail (Closes: #814424)
* Bump Standards-Version to 3.9.8
* Switch Vcs-Git to https URL
* Provide new bindings in the correct binary
2015-10-26 - Jerome Charaoui <jerome@riseup.net>
powerline (2.3-1) unstable; urgency=medium
* Imported Upstream version 2.3 (Closes: #802905)
2015-10-18 - Jerome Charaoui <jerome@riseup.net>
powerline (2.2-2) unstable; urgency=medium
* Build python3-powerline binary package (Closes: #798930)
* Compile /usr/bin/powerline with extra hardening flags
* Make sphinx-generated manpages reproducible
2015-08-04 - Jerome Charaoui <jerome@riseup.net>
powerline (2.2-1) unstable; urgency=medium
* Imported Upstream version 2.2
* Distribute NEWS file only in powerline binary package (Closes: #792359)
2015-05-23 - Jerome Charaoui <jerome@riseup.net>
powerline (2.1.4-1) unstable; urgency=medium
* Import Upstream version 2.1. (Closes: #778250)
2015-03-08 - Jerome Charaoui <jerome@riseup.net>
powerline (2.1-1) unstable; urgency=medium
* Import Upstream version 2.1 (Closes: #776725)
2014-10-25 - Jerome Charaoui <jerome@riseup.net>
powerline (1.2-2) unstable; urgency=medium
* Fix incomplete tmux configuration by adjusting hardcoded bindings
directory (Closes: #766637)

See Also

Package Description
python-pp_1.6.5-1_all.deb parallel and distributed programming toolkit for Python
python-pprofile_1.11.0-1_all.deb Line-granularity, deterministic and statistic Python profiler
python-pqueue_0.2-7.3_i386.deb a priority queue extension for Python
python-prctl_1.6.1-2build1_i386.deb Python interface to the prctl() syscall (Python 2)
python-preggy_1.3.0-1_all.deb Assertion library for Python
python-prelude_4.1.0-4_i386.deb Security Information and Events Management system [ Python2 bindings ]
python-preludedb_4.1.0-1_i386.deb Security Information and Events Management System [ Python2 bindings ]
python-presage_0.9.1-2.1ubuntu4_i386.deb intelligent predictive text entry platform (Python binding)
python-pretend_1.0.8-2_all.deb Python library for stubbing (Python 2)
python-pretty-yaml_17.12.1-1_all.deb module to produce pretty and readable YAML-serialized data (Python 2)
python-problem-report_2.20.9-0ubuntu7_all.deb Python library to handle problem reports
python-proboscis_1.2.6.0-4_all.deb extends Nose with certain TestNG like features - Python 2.x
python-profitbricks_4.1.1-1_all.deb ProfitBricks REST API client library for Python 2
python-progress_1.2-1_all.deb easy progress reporting for Python
python-progressbar_2.3-4_all.deb text progress bar library for Python
Advertisement
Advertisement